Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface OlapDiscoverer

All Known Implementing Classes:
  XMLA_SOAP

    public interface OlapDiscoverer

Browse an OLAP dataSource in order to retrieve specific Olap Items as dimensions, levels, members

Field Summary
`static int` | `PROVIDER_MICROSOFT`
`static int` | `PROVIDER_MONDRIAN`
`static int` | `PROVIDER_SAP`

Method Summary
`java.util.List` | `discoverCat()` retrieve catalogs in data source
`java.util.List` | `discoverCube(java.lang.String cat)` retrieve cubes in data source for a given catalog
`java.util.List` | `discoverDim(java.lang.String cat, java.lang.String cube)` retrieve dimensions in data source for given catalog, cube
`java.util.Map` | `discoverDS()` retrieve a map describing the datasource
`java.util.List` | `discoverDSProps()` retrieve datasource properties
`java.util.List` | `discoverHier(java.lang.String cat, java.lang.String cube, java.lang.String dimension)` retrieve hierarchies in data source for given catalog, cube, dimension
`java.util.List` | `discoverLev(java.lang.String cat, java.lang.String cube, java.lang.String dimension, java.lang.String hier)` retrieve levels in data source for given catalog, cube, dimension
`java.util.List` | `discoverMem(java.lang.String cat, java.lang.String cube, java.lang.String dimension, java.lang.String hierarchy, java.lang.String level)` retrieve members in data source for given catalog, cube, dimension, level
`java.util.List` | `discoverMemTree(java.lang.String cat, java.lang.String cube, java.lang.String member, int treeop)` retrieve member tree in data source for given catalog, cube, member
`java.util.List` | `discoverProp(java.lang.String cat, java.lang.String cube, java.lang.String dimension, java.lang.String hierarchy, java.lang.String level)` retrieve member properties in data source for given catalog, cube, dimension, hierarchy, level
`java.util.List` | `discoverSapVar(java.lang.String cat, java.lang.String cube)` retrieve SAP variables for given catalog, cube
`int` | `getProvider()`

Field Detail

### PROVIDER_MICROSOFT

    static final int PROVIDER_MICROSOFT

See Also:
  Constant Field Values

### PROVIDER_SAP

    static final int PROVIDER_SAP

See Also:
  Constant Field Values

### PROVIDER_MONDRIAN

    static final int PROVIDER_MONDRIAN

See Also:
  Constant Field Values

Method Detail

### discoverCat

    java.util.List discoverCat()
                               throws OlapException

  retrieve catalogs in data source

  Returns:
    List of OlapItems for the catalogs
  Throws:
    `OlapException`

### discoverCube

    java.util.List discoverCube(java.lang.String cat)
                                throws OlapException

  retrieve cubes in data source for a given catalog

  Parameters:
    `cat` - catalog
  Returns:
    List of OlapItems for the cubes
  Throws:
    `OlapException`

### discoverDim

    java.util.List discoverDim(java.lang.String cat,
                               java.lang.String cube)
                               throws OlapException

  retrieve dimensions in data source for given catalog, cube

  Parameters:
    `cat` - catalog name
    `cube` - cube name
  Returns:
    List of OlapItems for the dimensions
  Throws:
    `OlapException`

### discoverHier

    java.util.List discoverHier(java.lang.String cat,
                                java.lang.String cube,
                                java.lang.String dimension)
                                throws OlapException

  retrieve hierarchies in data source for given catalog, cube, dimension

  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension, can be null
  Returns:
    List of OlapItems for the hierarchies
  Throws:
    `OlapException`

### discoverLev

    java.util.List discoverLev(java.lang.String cat,
                               java.lang.String cube,
                               java.lang.String dimension,
                               java.lang.String hier)
                               throws OlapException

  retrieve levels in data source for given catalog, cube, dimension

  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension, can be null
    `hier` - unique name of hierarchy, can be null
  Returns:
    List of OlapItems for the levels
  Throws:
    `OlapException`

### discoverMem

    java.util.List discoverMem(java.lang.String cat,
                               java.lang.String cube,
                               java.lang.String dimension,
                               java.lang.String hierarchy,
                               java.lang.String level)
                               throws OlapException

  retrieve members in data source for given catalog, cube, dimension, level

  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension
    `hierarchy` - unique name of hierarchy
    `level` - unique name of level
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`

### discoverMemTree

    java.util.List discoverMemTree(java.lang.String cat,
                                   java.lang.String cube,
                                   java.lang.String member,
                                   int treeop)
                                   throws OlapException

  retrieve member tree in data source for given catalog, cube, member

  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `member` - unique name of member
    `treeop` - bit combination according to TREEOP specification MDTREEOP_CHILDREN = 1 MDTREEOP_SIBLINGS = 2 MDTREEOP_PARENT = 4 MDTREEOP_SELF = 8 MDTREEOP_DESCENDANTS = 16 MDTREEOP_ANCESTORS = 32
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`

### discoverDS

    java.util.Map discoverDS()
                             throws OlapException

  retrieve a map describing the datasource

  Returns:
    map of key, value strings keys are, for instance, DataSourceName and DataSourceDescription
  Throws:
    `OlapException`

### discoverProp

    java.util.List discoverProp(java.lang.String cat,
                                java.lang.String cube,
                                java.lang.String dimension,
                                java.lang.String hierarchy,
                                java.lang.String level)
                                throws OlapException

  retrieve member properties in data source for given catalog, cube, dimension, hierarchy, level

  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
    `dimension` - unique name of dimension
    `hierarchy` - unique name of hierarchy
    `level` - unique name of level
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`

### discoverSapVar

    java.util.List discoverSapVar(java.lang.String cat,
                                  java.lang.String cube)
                                  throws OlapException

  retrieve SAP variables for given catalog, cube

  Parameters:
    `cat` - name of catalog
    `cube` - name of cube
  Returns:
    List of OlapItems for the members
  Throws:
    `OlapException`
  See Also:
    `discoverProp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### getProvider

    int getProvider()

  Returns:
    provider

### discoverDSProps

    java.util.List discoverDSProps()
                                   throws OlapException

  retrieve datasource properties

  Returns:
    List of OlapItems for the datasource properties
  Throws:
    `OlapException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD